# Interface ITheSocket

interface ITheSocket {
handleConnection(socket, routeName): void;
middlewareImplementation?(next): void;
}

#### Implemented by

- RWSSocket

- Defined in src/interfaces/ITheSocket.ts:3

#####
Index

### Methods

handleConnection
middlewareImplementation?

## Methods

### handleConnection

- handleConnection(socket, routeName): void

- #### Parameters

  - ##### socket: Socket<DefaultEventsMap, DefaultEventsMap, DefaultEventsMap, any>

  - ##### routeName: string

  #### Returns void

  - Defined in src/interfaces/ITheSocket.ts:5

### `Optional` middlewareImplementation

- middlewareImplementation(next): void

- #### Parameters

  - ##### next: any

  #### Returns void

  - Defined in src/interfaces/ITheSocket.ts:6

Generated using TypeDoc